/** @jsxImportSource @emotion/react */
import React, { MouseEventHandler } from "react";
/** 叶子节点的菜单项目； 必须放在DdMenu下面的；
 注意这样的 <DdMenu label="菜单"  icon={<IconMoreVertical />}>
 <React.Fragment>
 <DdMenuItem label="Undo" />
 【特别注意】多套一层<></>就无法正常工作的。
 # 若有children儿子的就显示为儿子。否则就按照label显示的。 两个情况的样式控制不同。
 实际上：forwardRef<T, P = {}> 在P模型中定义onClick是关键触发！
 * */
export declare const DdMenuItem: React.ForwardRefExoticComponent<{
    label: string;
    disabled?: boolean;
    onClick?: MouseEventHandler | undefined;
    children?: React.ReactNode;
    onPress?: MouseEventHandler | undefined;
    contentAfter?: React.ReactNode;
    contentBefore?: React.ReactNode;
} & React.RefAttributes<HTMLButtonElement>>;
interface MenuProps {
    label?: string;
    nested?: boolean;
    children?: React.ReactNode;
    icon?: React.ReactNode;
    divStyle?: React.CSSProperties;
    /**可以将这里没定义的参数 tight={true} 透明传递下去。
     * */
    [key: string]: any;
}
/**不是叶子的节点菜单项。根部或者嵌套的树杈按钮。
 * 注意icon有没有会影响到树杈或者根部按钮菜单项的高度！icon决定了到底是string纯粹文本的，还是嵌套div组件图标按钮的。
 * 若有icon={}的就显示为图标组件。否则就按照label显示的。 两个情况的样式控制不同。
 * */
export declare const MenuComponent: React.ForwardRefExoticComponent<Pick<MenuProps & React.HTMLProps<HTMLButtonElement>, string | number> & React.RefAttributes<HTMLButtonElement>>;
/**根部或者嵌套分支的菜单项： 可自由互动布局的 菜单；
 <DdMenu>和 <DdMenuItem>不能够拆解分开！｛｝传递组件参数时要注意。
 【注意】icon={}属性可以直接头传给儿子组件<MenuComponent >的，
 <DdMenu label="菜单" divStyle={{ lineHeight: '1.0'} }>
 纯文本树杈根部按钮可以用 divStyle={{ lineHeight: '1.0'} } 来修正样式控制的，若有参数icon={}就不同了。
 例子<DdMenu label="搜索文字"  icon={
      <MenuItem variant="ghost">
          <IconMoreVertical />
      </MenuItem>
  }>  <DdMenuItem...个的  </DdMenu>
 * */
export declare const DdMenu: React.ForwardRefExoticComponent<Pick<MenuProps & React.HTMLProps<HTMLButtonElement>, string | number> & React.RefAttributes<HTMLButtonElement>>;
export {};
