/** @jsxImportSource @emotion/react */
import * as React from "react";
/**编辑器每一行的拼装：列式布局: column = 最少1 -- 最多是 5 列的。
 布局子孙都是平等的，宽度都平均分配，预期高度在同一行排列也是均衡整齐或高度一致的，
 父窗口宽度不确定的， 具体显示几个列是自适应的，最多列数固定。
 列数动态确定， 之后的子孙实际宽度都是铺满的100%。
 不使用滚动条的，大尺寸元素上 都没有固定数值的px;
 子孙的宽度没有固定px的，布局组件的子孙都是可在宽度上做自适应的。只有目标多少列排列是敲定固定的，也就是预期最大父窗口宽度场合可以安排最多几个列的元素。
 宽度上 竟然小到了1列都放不下了， fitable=true传递给子孙；
 子孙输入Line组件的断线折腰宽度在布局组件上就的设置switchPx参数。
 布局组件来传递进来布局紧凑与否参数fitable。也就是遇到最小最小的父窗口宽度情形，在只安排单列元素场合下的，给输入Line组件紧凑提示。
 最后一行：非满格的 落单子孙个数， 居中？，宽度协调一致。
 最多列数是应用场景 程序敲定， 大概会放得下几个列啊{已经考虑了需求上级大的布局切换需求后，反正就是最大可能性几个列}。
 */
interface LineColumnProps extends React.HTMLAttributes<HTMLDivElement> {
    /** 预计父窗口最大可以放下列数安排： must >=2 and <=5 */
    column?: number;
    /** The contents of the layer */
    children: React.ReactNode;
    breaks?: number[];
    nowrap?: boolean;
}
/**
 * 布局组件：最多5列的。
 * 1，2列，3列，4列，5列。
 * 父辈窗口屏幕宽度就算再大，也是只安排2 或3 或4 或5 个列的，布局思路。
 为了整齐对齐的需要；
 * 特别注意！！ LineColumn底下的子组件第一个div或者<tag>的样式请不要使用padding和margin的设置px; 就算要设置所有儿子也必须保持一致。
 * 用InputLineL来代替InputGroup因为其内部section默认padding:48px 20px所以会导致布局宽度分配不一致。
 * fitable注入给儿子组件报错问题：儿子不要是不可接受fitable参数的原生Tag;
 * 实际经验 测试调整column={5} breaks={[170,290,390,490,750]}取值，根据目标编辑宽度以及实际的DIV容器宽度判定。
 * 【有问题的是LineColumn】没办法穿透<>和<React.Fragment>俩个空白语法标签；儿子不能放在这两个底下。可以中间套一个<div>封装。
 */
export declare const LineColumn: React.FunctionComponent<LineColumnProps>;
export {};
