/** @jsxImportSource @emotion/react */
import { SerializedStyles } from "@emotion/react";
import * as React from "react";
import { SpringValue } from "@react-spring/web";
import { CSSProperties } from "react";
export interface StackContextType {
    index: number;
    activeIndex: number;
    changeIndex: (index: number) => void;
    active: boolean;
    navHeight: number;
    overlay?: SpringValue<number>;
    opacity?: SpringValue<number>;
    transform?: SpringValue<number>;
}
export declare const StackContext: React.Context<StackContextType>;
export interface StackTitleProps {
    /** The pane title which is centered */
    title?: React.ReactNode;
    /** The title of the back button */
    backTitle?: React.ReactNode;
    /** Content that appears to the left of the title */
    contentBefore?: React.ReactNode;
    /** Content that appears to the right of the title */
    contentAfter?: React.ReactNode;
    style?: React.CSSProperties;
    backButton?: React.ReactNode;
    afterStyle?: CSSProperties;
}
export declare function StackTitle({ title, backTitle, ...other }: StackTitleProps): import("@emotion/react/jsx-runtime").JSX.Element;
export interface StackItemProps extends React.HTMLAttributes<HTMLDivElement> {
    generateShadow?: (x: number) => string;
}
export declare function StackItem(props: StackItemProps): import("@emotion/react/jsx-runtime").JSX.Element;
/**
 * Stack manager
 */
interface StackItemList {
    title?: React.ReactNode;
    content: React.ReactNode;
}
export interface StackProps extends React.HTMLAttributes<HTMLDivElement> {
    index: number;
    onIndexChange: (index: number) => void;
    items: StackItemList[];
    disableNav?: boolean;
    navHeight?: number;
    disableScroll?: boolean;
    navStyle?: SerializedStyles;
    noBind?: boolean;
}
/**下沉揭示关联页面的组件。层次越多越不好配置。单一个层次的组件最好是参数化的内容。
 * */
export declare const Stack: React.FunctionComponent<StackProps>;
export {};
