import { defaultColors } from "./colors";
export { generateColorsFromScales } from "./colors";
export type ThemeColors = typeof defaultColors.colors;
export declare const defaultTheme: {
    spaces: {
        none: number;
        xs: string;
        sm: string;
        md: string;
        lg: string;
        xl: string;
    };
    zIndices: {
        sticky: number;
        fixed: number;
        overlay: number;
        modal: number;
        popover: number;
        tooltip: number;
        menus: number;
        waituntil: number;
    };
    breakpoints: {
        sm: string;
        default: string;
        md: string;
        lg: string;
        xl: string;
        big: string;
        phone: string;
    };
    mediaQueries: {
        sm: string;
        default: string;
        md: string;
        lg: string;
        xl: string;
        hover: string;
        big: string;
        phone: string;
    };
    fontSizes: {
        0: string;
        1: string;
        2: string;
        3: string;
        4: string;
        5: string;
        6: string;
        7: string;
        8: string;
        9: string;
    };
    radii: {
        sm: string;
        md: string;
        lg: string;
    };
    fonts: {
        sans: string;
        base: string;
        monospace: string;
    };
    shadows: {
        xs: string;
        sm: string;
        md: string;
        lg: string;
        xl: string;
    };
    lineHeights: {
        heading: number;
        body: number;
        menus: number;
    };
    fontWeights: {
        body: number;
        heading: number;
        display: number;
    };
    iconSizes: {
        xs: string;
        sm: string;
        md: string;
        lg: string;
        xl: string;
    };
    outline: string;
    colors: {
        palette: import("./colors").PaletteType;
        scales: {
            gray: string[];
            blue: string[];
            green: string[];
            red: string[];
            orange: string[];
            yellow: string[];
            teal: string[];
            cyan: string[];
            lime: string[];
            pink: string[];
            violet: string[];
            indigo: string[];
        };
        intent: {
            none: {
                lightest: string;
                light: string;
                base: string;
                dark: string;
            };
            primary: {
                lightest: string;
                light: string;
                base: string;
                dark: string;
            };
            success: {
                lightest: string;
                light: string;
                base: string;
                dark: string;
            };
            danger: {
                lightest: string;
                light: string;
                base: string;
                dark: string;
            };
            warning: {
                lightest: string;
                light: string;
                base: string;
                dark: string;
            };
        };
        background: {
            tint1: string;
            tint2: string;
            overlay: any;
            layer: string;
            default: string;
        };
        border: {
            default: any;
            muted: any;
        };
        text: {
            heading: string;
            muted: any;
            default: string;
            selected: string;
        };
        shadows: {
            xs: string;
            sm: string;
            md: string;
            lg: string;
            xl: string;
        };
        mode: string;
    };
    modes: {
        light: {
            palette: import("./colors").PaletteType;
            scales: {
                gray: string[];
                blue: string[];
                green: string[];
                red: string[];
                orange: string[];
                yellow: string[];
                teal: string[];
                cyan: string[];
                lime: string[];
                pink: string[];
                violet: string[];
                indigo: string[];
            };
            intent: {
                none: {
                    lightest: string;
                    light: string;
                    base: string;
                    dark: string;
                };
                primary: {
                    lightest: string;
                    light: string;
                    base: string;
                    dark: string;
                };
                success: {
                    lightest: string;
                    light: string;
                    base: string;
                    dark: string;
                };
                danger: {
                    lightest: string;
                    light: string;
                    base: string;
                    dark: string;
                };
                warning: {
                    lightest: string;
                    light: string;
                    base: string;
                    dark: string;
                };
            };
            background: {
                tint1: string;
                tint2: string;
                overlay: any;
                layer: string;
                default: string;
            };
            border: {
                default: any;
                muted: any;
            };
            text: {
                heading: string;
                muted: any;
                default: string;
                selected: string;
            };
            shadows: {
                xs: string;
                sm: string;
                md: string;
                lg: string;
                xl: string;
            };
            mode: string;
        };
        dark: {
            palette: import("./colors").PaletteType;
            scales: {
                gray: string[];
                blue: string[];
                green: string[];
                red: string[];
                orange: string[];
                yellow: string[];
                teal: string[];
                cyan: string[];
                lime: string[];
                pink: string[];
                violet: string[];
                indigo: string[];
            };
            intent: {
                none: {
                    lightest: string;
                    light: string;
                    base: string;
                    dark: string;
                };
                primary: {
                    lightest: string;
                    light: string;
                    base: string;
                    dark: string;
                };
                success: {
                    lightest: string;
                    light: string;
                    base: string;
                    dark: string;
                };
                danger: {
                    lightest: string;
                    light: string;
                    base: string;
                    dark: string;
                };
                warning: {
                    lightest: string;
                    light: string;
                    base: string;
                    dark: string;
                };
            };
            background: {
                tint1: any;
                tint2: any;
                overlay: any;
                layer: any;
                default: string;
            };
            border: {
                default: any;
                muted: any;
            };
            text: {
                heading: string;
                muted: string;
                default: string;
                selected: string;
            };
            shadows: {
                xs: string;
                sm: string;
                md: string;
                lg: string;
                xl: string;
            };
            mode: string;
        };
    };
};
export type Theme = typeof defaultTheme;
export default defaultTheme;
